routes/web.php
<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

/*Route::get('/', function () {
    return view('dashboard');
});*/

Auth::routes();


Route::middleware('auth')->group(function () {
    Route::get('/', 'HomeController@index')->name('dashboard');
    Route::get('userDetail/{id}', 'HomeController@userDetail')->name('userDetail');
    Route::get('userDetail/{user_id}/trip/{trip_id}', 'UserTripController@show')->name('user_trip_detail');
    Route::get('/logout', 'HomeController@logout');
    Route::get('/profile', function ()
    {
        return view('pages.user.profile');

    })->name('profile');

    Route::get('/change-password', function ()
    {
        return view('pages.user.change_password');

    })->name('change-password');
    Route::delete('attachment/{id}', 'Admin\GeneralSettingController@delete_attachment')->name('delete_attachment');
    Route::post('/profile', 'Admin\GeneralSettingController@updateProfile')->name('update-profile');
    Route::post('/change-password', 'Admin\GeneralSettingController@updatePassword')->name('update-change-password');

    Route::get('notifications', 'Admin\GeneralSettingController@index')->name('notification-all');
    Route::get('notifications/{id}', 'Admin\GeneralSettingController@show')->name('notification.show');
    Route::get('notifications/read/{id}', 'Admin\GeneralSettingController@edit')->name('notification.read');

    Route::resource('users', 'Admin\UserController');
    Route::put('users/status/{id}', 'Admin\UserController@updateStatus')->name('users.status');
    Route::get('driver/requests', 'Admin\DriverController@Driverrequests')->name('driver.requested');
    Route::get('driver/requests/{id}', 'Admin\DriverController@DriverrequestsUser')->name('driver.requested.id');
    Route::get('driver/accept/{id}', 'Admin\DriverController@DriverAccept')->name('driver.accept');
    Route::get('driver/reject/{id}', 'Admin\DriverController@DriverReject')->name('driver.reject');
    Route::resource('driver', 'Admin\DriverController');
    Route::resource('brands', 'Admin\CarBrandController');
    Route::resource('models', 'Admin\CarModelController');
    Route::resource('faqs', 'Admin\FaqsController');
    Route::resource('generalsetting', 'Admin\GeneralSettingController');
    Route::resource('appbanner', 'Admin\AppBannerController');
    Route::resource('promocodes', 'Admin\PromocodeController');
    Route::resource('user-trips', 'Admin\UserTripController');
    Route::resource('payments', 'Admin\PaymentController');
    Route::resource('user-complaints', 'Admin\ComplaintController');
    Route::resource('custom-notification', 'Admin\CustomEmailController');
    Route::resource('rental-cars', 'Admin\RentalCarController');
    Route::resource('booking-cars', 'Admin\BookedRentalCarController');
    Route::get('booking-cars/{status}/{id}', 'Admin\BookedRentalCarController@updateStatus');
    Route::get('booking-cars/status/{status}/{id}', 'Admin\BookedRentalCarController@updatebookingStatus');
    Route::put('banner/status/{id}', 'Admin\AppBannerController@updateStatus')->name('banner.status');
});

Route::get('storage/app/{dir}/{filename}', function ($dir, $filename) {
    $path = storage_path('app/' . $dir . '/' . $filename);
    /*
    if (!File::exists($path)) {
        abort(404);
    }

    $file = File::get($path);
    $type = File::mimeType($path);

    $response = Response::make($file, 200);
    $response->header("Content-Type", $type);
    */
    return response()->file($path);

});

use App\Models\User;
use App\Notifications\ChatMessage;

Route::get('/test/{email}', function ($email) {
    $receiver = User::where('email', $email)->first();
    $receiver->notify(new ChatMessage($receiver, 'Test notification'));
});

// use App\Events\LocateDriver;
// use DB;

// Route::get('/socket-test', function () {
//     $data = [
//         'user_id' => 11,
//         'latitude' => 12.45,
//         'longitude' => 12.45,
//     ];
//     event(new LocateDriver($data));
//     return "ok";
// });
// Route::get('/truncate', function () {
//     DB::statement("SET SQL_SAFE_UPDATES = 0;");
//     DB::table('users')->where('id','!=',382)->delete();
//     return "ok";
//     DB::table('user_addresses')->truncate();
//     DB::table('user_trips')->truncate();
//     DB::table('attachments')->truncate();
// });

app/Models/BookRentalCar.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class BookRentalCar extends Model
{
    use HasFactory, SoftDeletes;

    protected $fillable = [
        'user_id', 'rental_car_id', 'payment_id', 'select_date', 'date_from', 'date_to', 'time_from', 'time_to', 'multiple_days','total_amount', 'status', 'request_status', 'payment_status',
    ];

    protected $appends = ['license_front_image', 'license_back_image', 'emirate_front_image', 'emirate_back_image'];

    public function attachments()
    {
        return $this->morphMany(Attachment::class, 'attachable')->latest();
    }
    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function rental_car()
    {
        return $this->belongsTo(RentalCar::class, 'rental_car_id');
    }

    public function payment()
    {
        return $this->belongsTo(Payment::class, 'payment_id');
    }

    public function getLicenseFrontImageAttribute()
    {
        $img = $this->morphOne(Attachment::class, 'attachable')->where('type', 'like' , '%rent_booking_license_front%')->latest()->first();
        return $img->file_path??null;
    }

    public function getLicenseBackImageAttribute()
    {
        $img = $this->morphOne(Attachment::class, 'attachable')->where('type', 'like' , '%rent_booking_license_back%')->latest()->first();
        return $img->file_path??null;
    }

    public function getEmirateFrontImageAttribute()
    {
        $img = $this->morphOne(Attachment::class, 'attachable')->where('type', 'like' , '%rent_booking_emirate_front%')->latest()->first();
        return $img->file_path??null;
    }

    public function getEmirateBackImageAttribute()
    {
        $img = $this->morphOne(Attachment::class, 'attachable')->where('type', 'like' , '%rent_booking_emirate_back%')->latest()->first();
        return $img->file_path??null;
    }
}

resources/views/pages/book_rental_cars/book_detail.blade.php
@extends('layouts.default')
@section('title', "View Booking Detail")
@section('content')
    <div class="content-wrapper">
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <h4 class="card-title">User Booking Detail</h4>
                        <div class="row mt-4">
                            <h5>User Info:</h5>
                            <div class="col-4">
                                @if (is_null($booking->user->profile_image))
                                <div class="img-thumb">
                                    <i class="mdi mdai-user"></i>
                                </div>
                                @else
                                <img src="{{ asset($booking->user->profile_image?? '') }}" />
                                @endif
                                <p><a href="{{ route('users.show', $booking->user->id) }}">{{ $booking->user->full_name }}</a></p>
                            </div>
                            <div class="col-4">
                                <p>{{ $booking->user->email }}</p>
                            </div>
                            <div class="col-4">
                                <p>{{ $booking->user->phone }}</p>
                            </div>
                        </div>
                        <div class="w-100 border"></div>
                        <div class="row mt-4">
                            <h5>Booking Details</h5>
                            <div class="col-12">
                                <div class="row">
                                    <div class="col-4">
                                        Booking Id: #000{{$booking->id}}
                                    </div>
                                    <div class="col-4">
                                        @php
                                        $to = \Carbon\Carbon::createFromFormat('Y-m-d H:s:i', $booking->date_to);
                                        $from = \Carbon\Carbon::createFromFormat('Y-m-d H:s:i', $booking->date_from);
                                        $days = $to->diffInDays($from);
                                        @endphp
                                        Days: {{ $days>1?$days.' Days':'1 Day' }}
                                    </div>
                                </div>

                                <div class="row mt-4">
                                    <div class="col-4">
                                        Date From: {{ $booking->date_from }}
                                    </div>
                                    <div class="col-4">
                                        To: {{ $booking->date_to }}
                                    </div>
                                    <div class="col-4">
                                        Current Status:
                                        <select name="status" class="form-control" onchange="changebookingStatus(this, '{{ $booking->id }}')">
                                            <option value="pending" @selected($booking->status=='pending')>Pending</option>
                                            <option value="complete" @selected($booking->status=='complete')>Complete</option>
                                            <option value="cancel" @selected($booking->status=='cancel')>Cancel</option>
                                        </select>
                                        <br>
                                        <br>
                                        <label>Booking Request Status:</label>
                                        <select class="form-control" name='request_status' onchange='changeStatus(this, {{$booking->id}})'>
                                            <option value='pending' @selected($booking->request_status=='pending'?true:false)>Pending</option>
                                            <option value='accept' @selected($booking->request_status=='accept'?true:false)>Accept</option>
                                            <option value='reject' @selected($booking->request_status=='reject'?true:false)>Reject</option>
                                        </select>
                                        {{-- Booking Request Status: {{ $booking->request_status }} --}}
                                    </div>
                                </div>

                                <div class="row mt-4">
                                    <div class="col-4">
                                        Car Name: <a href="{{ route('rental-cars.show', $booking->rental_car->id) }}">{{ $booking->rental_car->name }}</a>
                                    </div>
                                    <div class="col-4">
                                        Car Model: {{ $booking->rental_car->model }}
                                    </div>
                                    <div class="col-4">
                                        Car Description: {!! $booking->rental_car->description !!}
                                    </div>
                                </div>

                                <div class="row mt-4">
                                    <div class="col-4">
                                        @php
                                            $day = $booking->multiple_days<= 0?1:$booking->multiple_days;
                                            $price = $day * $booking->rental_car->price_per_day;
                                        @endphp
                                        Payment: {{ number_format($price, 2) }} AED
                                    </div>
                                    <div class="col-4">
                                        Payment Status: {{ $booking->payment_status }}
                                    </div>
                                </div>
                                @foreach ($booking->rental_car->ratings as $ratings)
                                    <div class="row mt-4">
                                        <div class="col-4">
                                            Rating: {{ $ratings->rating }}/5
                                            Avg. Rating: {{ $booking->rental_car->avg_rating??0.00 }}/5
                                        </div>
                                        <div class="col-8">
                                            Review: {{ $ratings->review }}
                                        </div>
                                    </div>
                                @endforeach

                            </div>
                            <div class="card">
                                <div class="card-title">
                                    <h5>Attachments</h5>
                                </div>
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-6 p-4 border">
                                            <h4>Driver Licence (Front)</h4>
                                            @empty($booking->license_front_image)
                                            <a href="{{ asset($booking->license_front_image) }}"><img style="max-height: 120px;" src="{{ asset($booking->license_front_image) }}" /></a>
                                            @else
                                            <a href="{{ asset($booking->license_front_image) }}"><img style="max-height: 120px;" src="{{ asset($booking->license_front_image) }}" /></a>
                                            @endempty
                                        </div>
                                        <div class="col-6 p-4 border">
                                            <h4>Driver License (Back)</h4>
                                            @empty($booking->license_back_image)
                                            <a href="{{ asset($booking->license_back_image) }}"><img style="max-height: 120px;" src="{{ asset($booking->license_back_image) }}" /></a>
                                            @else
                                            <a href="{{ asset($booking->license_back_image) }}"><img style="max-height: 120px;" src="{{ asset($booking->license_back_image) }}" /></a>
                                            @endempty
                                        </div>

                                        <div class="col-6 p-4 border">
                                            <h4>Emirate Id (Front)</h4>
                                            @empty($booking->emirate_front_image)
                                            <a href="{{ asset($booking->emirate_front_image) }}"><img style="max-height: 120px;" src="{{ asset($booking->emirate_front_image) }}" /></a>
                                            @else
                                            <a href="{{ asset($booking->emirate_front_image) }}"><img style="max-height: 120px;" src="{{ asset($booking->emirate_front_image) }}" /></a>
                                            @endempty
                                        </div>

                                        <div class="col-6 p-4 border">
                                            <h4>Emirate Id (Back)</h4>
                                            @empty($booking->emirate_back_image)
                                            <a href="{{ asset($booking->emirate_back_image) }}"><img style="max-height: 120px;" src="{{ asset($booking->emirate_back_image) }}" /></a>
                                            @else
                                            <a href="{{ asset($booking->emirate_back_image) }}"><img style="max-height: 120px;" src="{{ asset($booking->emirate_back_image) }}" /></a>
                                            @endempty
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@push('scripts')
  <script>
    function changeStatus(data, id)
    {
        let status = $(data).val();
        // console.log('Stataus');
        window.location = `${status}/${id}`;
    }
  </script>
  <script>
    function changebookingStatus(data, id)
    {
        let status = $(data).val();
        // console.log('Stataus');
        window.location = `status/${status}/${id}`;
    }
  </script>
@endpush

resources/views/pages/book_rental_cars/datatable_action.blade.php
<a href="{{ route('booking-cars.show', $id) }}" class="btn btn-primary btn-xs">view</a>

resources/views/pages/book_rental_cars/index.blade.php
@extends('layouts.default')
@section('title', 'Booking List')
@section('content')
<div class="content-wrapper">
    <div class="row">
      <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
          <div class="card-body">
            <h4 class="card-title">Booking List</h4>
            <div class="table-responsive">
                {{ $dataTable->table() }}
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  @push('scripts')
    {{ $dataTable->scripts(attributes: ['type' => 'module']) }}
@endpush
@push('scripts')
  <script>
    function changeStatus(data, id)
    {
        let status = $(data).val();
        // console.log('Stataus');
        window.location = `booking-cars/${status}/${id}`;
    }
  </script>
  <script>
    function changebookingStatus(data, id)
    {
        let status = $(data).val();
        // console.log('Stataus');
        window.location = `booking-cars/status/${status}/${id}`;
    }
  </script>
@endpush
@endsection